Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Create a memory item

POST /memory_stores/{name}/items

Creates a memory item in the specified memory store.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Path parameters

name string required

The name of the memory store.

Query parameters

api-version string required

The API version to use for this operation.

Request Body

Content-Type: application/json
scope string required

The namespace that logically groups and isolates memories, such as a user ID.

content string required

The content of the memory.

kind string | enum required

Memory item kind.

Any of the following:
string
enum
user_profilechat_summaryprocedural

Responses

The request has succeeded.

Body

Content-Type: application/json
One of the following:
user_profile UserProfileMemoryItem

A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.

kind enum required

The kind of the memory item.

user_profile
chat_summary ChatSummaryMemoryItem

A memory item containing a summary extracted from conversations.

kind enum required

The kind of the memory item.

chat_summary
procedural ProceduralMemoryItem

A memory item containing a procedure extracted from conversations.

kind enum required

The kind of the memory item.

procedural

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /memory_stores/{name}/items HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026